# Created by pyp2rpm-3.3.5
%global pypi_name portalocker

Name:           python-%{pypi_name}
Version:        2.8.2
Release:        %mkrel 3
Summary:        Wraps the portalocker recipe for easy usage
Group:          Development/Python
License:        PSF
URL:            https://github.com/WoLpH/portalocker
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description
 portalocker - Cross-platform locking library :target:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 portalocker - Cross-platform locking library :target:


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Sat Mar 01 2025 wally <wally> 2.8.2-3.mga10
+ Revision: 2155544
- rebuild for python3.13

* Fri Dec 29 2023 papoteur <papoteur> 2.8.2-2.mga10
+ Revision: 2023632
- bump release
- rebuild for python 3.12

* Tue Oct 03 2023 papoteur <papoteur> 2.8.2-1.mga10
+ Revision: 1993558
- new 2.8.2

* Fri Sep 01 2023 papoteur <papoteur> 2.7.0-1.mga10
+ Revision: 1983108
- new 2.7.0

* Thu Jul 14 2022 papoteur <papoteur> 2.5.1-1.mga9
+ Revision: 1868767
- imported package python-portalocker

